import { ApiProperty } from "@nestjs/swagger"
import { Game } from "@prisma/client"

export class GameEntity implements Game {
  constructor(partial: Partial<GameEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({ description: "Identifiant unique du jeu" })
  id: number

  @ApiProperty({ description: "Est-ce que la partie est en cours" })
  started: boolean

  @ApiProperty({ description: "Identifiant de læ joueur⋅se en course" })
  currentRunnerId: number
}
